手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

CentOS 7下安装kettle7.1

[日期:2017-10-15] 来源:Linux社区  作者:feature09 [字体: ]

安装环境:CentOS 7

kettle版本:pdi-ce-7.1.0.0-12.zip

需要JDK环境为1.8

需要卸载自带JDK

一、安装JDK1.8,我的路径是/usr/local下

配置Java环境变量

[root@qkettle local]# vim /etc/profile

export JAVA_HOME=/usr/local/jdk1.8.0_11

export JAVA_BIN=/usr/local/jdk1.8.0_11/bin

export CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar

export PATH=$PATH:$JAVA_HOME/bin

[root@qkettle local]# source /etc/profile

二、安装各种依赖,解决各种错误

[root@qkettle local]# yum -y install epel-release

[root@qkettle local]# yum -y install webkitgtk

[root@qkettle local]# yum -y install RedHat-lsb

xulrunner-1.9.2.28pre.en-US.linux-x86_64.tar可从以下信息的得到下载:

点击这个http://www.linuxidc.com/Linux/2013-12/93755.htm 链接关注 Linux公社官方微信,关注后回复数字147656。即可得到网友的分享密码。

如果取消关注Linux公社公众号,即使再次关注,也将无法提供本服务!

链接:https://pan.baidu.com/s/1qXGWwDu  密码:获得见上面的方法,地址失效请在下面留言。

------------------------------------------分割线------------------------------------------

也可以到Linux公社1号FTP服务器下载

FTP地址:ftp://ftp1.linuxidc.com

用户名:ftp1.linuxidc.com

密码:www.linuxidc.com

在 2017年LinuxIDC.com/10月/CentOS 7下安装kettle7.1/

下载方法见 http://www.linuxidc.com/Linux/2013-10/91140.htm

------------------------------------------分割线------------------------------------------ 

[root@qkettle local]# tar -xvf xulrunner-1.9.2.28pre.en-US.linux-x86_64.tar

[root@qkettle local]# cd ./xulrunner

[root@qkettle local]# ./xulrunner -register-global

三、安装kettle

[root@qkettle local]# unzip pdi-ce-7.1.0.0-12.zip

[root@qkettle local]# cd data-integration/

[root@qkettle data-integration]# chmod +x -R *.sh

[root@qkettle data-integration]# ./kitchen.sh

回到Linux图形界面中打开终端,执行操作

[root@qkettle data-integration]# ./spoon.sh &

[1] 16805

[root@qkettle data-integration]# Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0

14:42:11,126 INFO  [KarafBoot] Checking to see if org.pentaho.clean.karaf.cache is enabled

14:42:11,477 INFO  [KarafInstance]

*******************************************************************************

*** Karaf Instance Number: 1 at /usr/local/data-integration/./system/karaf/ ***

***   caches/spoon/data-1                                                   ***

*** FastBin Provider Port:52901                                             ***

*** Karaf Port:8802                                                         ***

*** OSGI Service Port:9051                                                  ***

*******************************************************************************

到这里,除去第一个warning警告之外,接下来下面没有error的错误了,说明就可以了。

安装到此结束。

安装中踩到的坑:

一、当遇到的错误是:

2017/09/25 13:52:55 - org.pentaho.di.ui.util.EnvironmentUtils@51351f28 - ERROR (version 7.1.0.0-12, build 1 from 2017-05-16 17.18.02 by buildguy) : Could not open a browser

2017/09/25 13:52:56 - org.pentaho.di.ui.util.EnvironmentUtils@51351f28 - ERROR (version 7.1.0.0-12, build 1 from 2017-05-16 17.18.02 by buildguy) : org.eclipse.swt.SWTError: No more handles [MOZILLA_FIVE_HOME=''] (java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:

2017/09/25 13:52:56 - org.pentaho.di.ui.util.EnvironmentUtils@51351f28 - no swt-mozilla-gtk-4335 in java.library.path

2017/09/25 13:52:56 - org.pentaho.di.ui.util.EnvironmentUtils@51351f28 - no swt-mozilla-gtk in java.library.path

2017/09/25 13:52:56 - org.pentaho.di.ui.util.EnvironmentUtils@51351f28 - /root/.swt/lib/linux/x86_64/libswt-mozilla-gtk-4335.so: libxpcom.so: 无法打开共享对象文件: 没有那个文件或目录

2017/09/25 13:52:56 - org.pentaho.di.ui.util.EnvironmentUtils@51351f28 - Can't load library: /root/.swt/lib/linux/x86_64/libswt-mozilla-gtk.so

就是需要安装xulrunner-1.9.2.28pre.en-US.linux-x86_64.tar来解决。

二、遇到这个错误:

2017/09/25 13:41:04 - org.pentaho.di.ui.util.EnvironmentUtils@3402b4c9 - ERROR (version 7.1.0.0-12, build 1 from 2017-05-16 17.18.02 by buildguy) : Could not execute command

2017/09/25 13:41:04 - org.pentaho.di.ui.util.EnvironmentUtils@3402b4c9 - ERROR (version 7.1.0.0-12, build 1 from 2017-05-16 17.18.02 by buildguy) : java.io.IOException: Cannot run program "lsb_release": error=2, 没有那个文件或目录

就是需要yum -y install redhat-lsb来解决。

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-10/147656.htm

linux
相关资讯       Kettle  kettle安装  Linux安装kettle 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事���刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款